local total_expenses = 0;

local months = {['01']='Jan', ['02']='Feb', ['03']='Mar', ['04']='Apr', ['05']='May', ['06']='Jun', ['07']='Jul', ['08']='Aug', ['09']='Sep', ['10']='Oct', ['11']='Nov', ['12']='Dec'};
function handle_record(record)
    local t =  record:get("TotalExpenses");
    total_expenses = total_expenses + t;
    t =  math.floor(100 * t + .5) /100;
    record:set('TotalExpenses', t);
    local entryDate = record:get("MONTH") .. '-' .. record:get("YEAR");
    record:set('DATE_LABEL',  entryDate );
    local mon = months[record:get("MONTH")];
    record:set('MONTH_STR', mon);
end
function complete(result)
    result:set('TOTAL_EXPENSES', total_expenses);
end